OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIS.FogFunction

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISFogFunction :: MonadIO m => m Bool
- gl_SGIS_fog_function :: Bool
- gl_FOG_FUNC_POINTS_SGIS :: GLenum
- gl_FOG_FUNC_SGIS :: GLenum
- gl_MAX_FOG_FUNC_POINTS_SGIS :: GLenum
- glFogFuncSGIS :: MonadIO m => GLsizei -> Ptr GLfloat -> m ()
- glGetFogFuncSGIS :: MonadIO m => Ptr GLfloat -> m ()

# Extension Support

glGetSGISFogFunction :: MonadIO m => m Bool

Is the SGIS_fog_function extension supported?

gl_SGIS_fog_function :: Bool

Is the SGIS_fog_function extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISFogFunction` in those cases instead.

# Enums

gl_FOG_FUNC_POINTS_SGIS :: GLenum

gl_FOG_FUNC_SGIS :: GLenum

gl_MAX_FOG_FUNC_POINTS_SGIS :: GLenum

# Functions

glFogFuncSGIS

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLfloat | `points` pointing to `n*2` elements of type `GLfloat`.
-> m () |

glGetFogFuncSGIS

Arguments

:: MonadIO m |
=> Ptr GLfloat | `points` pointing to `COMPSIZE()` elements of type `GLfloat`.
-> m () |